﻿namespace Proyecto
{
    /*
     * Clase FormPedirContraseña: lleva el peso de la ejecución
     * Se ocupa de validar el usuario que inicia la aplicación, situar un icono
     * en la bandeja del sistema y mantener a la escucha dos objetos FileSystemWatcher
     * Autor: Juan Álvaro Muñoz Naranjo
     * Fecha: Junio de 2007
     */
    partial class FormPedirContraseña
    {
        /// <summary>
        /// Variable del diseñador requerida.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Limpiar los recursos que se estén utilizando.
        /// </summary>
        /// <param name="disposing">true si los recursos administrados se deben eliminar; false en caso contrario, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Código generado por el Diseñador de Windows Forms

        /// <summary>
        /// Método necesario para admitir el Diseñador. No se puede modificar
        /// el contenido del método con el editor de código.
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(FormPedirContraseña));
            this.lFrase = new System.Windows.Forms.Label();
            this.tbFrase = new System.Windows.Forms.TextBox();
            this.aceptar = new System.Windows.Forms.Button();
            this.salir = new System.Windows.Forms.Button();
            this.tbUsuario = new System.Windows.Forms.TextBox();
            this.lUsuario = new System.Windows.Forms.Label();
            this.barraProgreso = new System.Windows.Forms.ProgressBar();
            this.watcherEntrada = new System.IO.FileSystemWatcher();
            this.watcherSalida = new System.IO.FileSystemWatcher();
            this.notifyIcon = new System.Windows.Forms.NotifyIcon(this.components);
            this.contextMenuStrip = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.acercaDeToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.usuariosToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.salirToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.temporizador = new System.Windows.Forms.Timer(this.components);
            this.cambiarDeUsuarioToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            ((System.ComponentModel.ISupportInitialize)(this.watcherEntrada)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.watcherSalida)).BeginInit();
            this.contextMenuStrip.SuspendLayout();
            this.SuspendLayout();
            // 
            // lFrase
            // 
            this.lFrase.AutoSize = true;
            this.lFrase.Location = new System.Drawing.Point(20, 67);
            this.lFrase.Name = "lFrase";
            this.lFrase.Size = new System.Drawing.Size(153, 13);
            this.lFrase.TabIndex = 0;
            this.lFrase.Text = "Introduzca su frase de acceso:";
            // 
            // tbFrase
            // 
            this.tbFrase.AcceptsReturn = true;
            this.tbFrase.AcceptsTab = true;
            this.tbFrase.HideSelection = false;
            this.tbFrase.Location = new System.Drawing.Point(23, 83);
            this.tbFrase.Name = "tbFrase";
            this.tbFrase.PasswordChar = '*';
            this.tbFrase.Size = new System.Drawing.Size(382, 20);
            this.tbFrase.TabIndex = 1;
            // 
            // aceptar
            // 
            this.aceptar.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
            this.aceptar.Location = new System.Drawing.Point(263, 165);
            this.aceptar.Name = "aceptar";
            this.aceptar.Size = new System.Drawing.Size(75, 23);
            this.aceptar.TabIndex = 2;
            this.aceptar.Text = "Aceptar";
            this.aceptar.UseCompatibleTextRendering = true;
            this.aceptar.UseVisualStyleBackColor = true;
            this.aceptar.Click += new System.EventHandler(this.aceptar_Click);
            // 
            // salir
            // 
            this.salir.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.salir.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
            this.salir.Location = new System.Drawing.Point(344, 165);
            this.salir.Name = "salir";
            this.salir.Size = new System.Drawing.Size(75, 23);
            this.salir.TabIndex = 3;
            this.salir.Text = "Salir";
            this.salir.UseVisualStyleBackColor = true;
            this.salir.Click += new System.EventHandler(this.salir_Click);
            // 
            // tbUsuario
            // 
            this.tbUsuario.HideSelection = false;
            this.tbUsuario.Location = new System.Drawing.Point(23, 36);
            this.tbUsuario.Name = "tbUsuario";
            this.tbUsuario.Size = new System.Drawing.Size(382, 20);
            this.tbUsuario.TabIndex = 0;
            // 
            // lUsuario
            // 
            this.lUsuario.AutoSize = true;
            this.lUsuario.Location = new System.Drawing.Point(20, 20);
            this.lUsuario.Name = "lUsuario";
            this.lUsuario.Size = new System.Drawing.Size(164, 13);
            this.lUsuario.TabIndex = 5;
            this.lUsuario.Text = "Introduzca su nombre de usuario:";
            // 
            // barraProgreso
            // 
            this.barraProgreso.BackColor = System.Drawing.SystemColors.Control;
            this.barraProgreso.ForeColor = System.Drawing.SystemColors.ControlDark;
            this.barraProgreso.Location = new System.Drawing.Point(23, 125);
            this.barraProgreso.Name = "barraProgreso";
            this.barraProgreso.Size = new System.Drawing.Size(382, 23);
            this.barraProgreso.TabIndex = 6;
            // 
            // watcherEntrada
            // 
            this.watcherEntrada.EnableRaisingEvents = true;
            this.watcherEntrada.IncludeSubdirectories = true;
            this.watcherEntrada.NotifyFilter = ((System.IO.NotifyFilters)((((System.IO.NotifyFilters.FileName | System.IO.NotifyFilters.DirectoryName)
                        | System.IO.NotifyFilters.LastWrite)
                        | System.IO.NotifyFilters.LastAccess)));
            this.watcherEntrada.Path = "C:\\CarpetaCifrada";
            this.watcherEntrada.SynchronizingObject = this;
            this.watcherEntrada.Created += new System.IO.FileSystemEventHandler(this.OnChangedEntrada);
            this.watcherEntrada.Changed += new System.IO.FileSystemEventHandler(this.OnChangedEntrada);
            // 
            // watcherSalida
            // 
            this.watcherSalida.EnableRaisingEvents = true;
            this.watcherSalida.Filter = "*.cifrado";
            this.watcherSalida.IncludeSubdirectories = true;
            this.watcherSalida.NotifyFilter = ((System.IO.NotifyFilters)((((System.IO.NotifyFilters.FileName | System.IO.NotifyFilters.DirectoryName)
                        | System.IO.NotifyFilters.LastWrite)
                        | System.IO.NotifyFilters.LastAccess)));
            this.watcherSalida.Path = "C:\\";
            this.watcherSalida.SynchronizingObject = this;
            this.watcherSalida.Created += new System.IO.FileSystemEventHandler(this.OnChangedSalida);
            this.watcherSalida.Changed += new System.IO.FileSystemEventHandler(this.OnChangedSalida);
            // 
            // notifyIcon
            // 
            this.notifyIcon.ContextMenuStrip = this.contextMenuStrip;
            this.notifyIcon.Icon = ((System.Drawing.Icon)(resources.GetObject("notifyIcon.Icon")));
            this.notifyIcon.Text = "Carpeta Cifrada";
            // 
            // contextMenuStrip
            // 
            this.contextMenuStrip.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.acercaDeToolStripMenuItem,
            this.usuariosToolStripMenuItem,
            this.cambiarDeUsuarioToolStripMenuItem,
            this.salirToolStripMenuItem});
            this.contextMenuStrip.Name = "contextMenuStrip1";
            this.contextMenuStrip.Size = new System.Drawing.Size(178, 114);
            // 
            // acercaDeToolStripMenuItem
            // 
            this.acercaDeToolStripMenuItem.Name = "acercaDeToolStripMenuItem";
            this.acercaDeToolStripMenuItem.Size = new System.Drawing.Size(177, 22);
            this.acercaDeToolStripMenuItem.Text = "Acerca de...";
            this.acercaDeToolStripMenuItem.Click += new System.EventHandler(this.acercaDeToolStripMenuItem_Click);
            // 
            // usuariosToolStripMenuItem
            // 
            this.usuariosToolStripMenuItem.Name = "usuariosToolStripMenuItem";
            this.usuariosToolStripMenuItem.Size = new System.Drawing.Size(177, 22);
            this.usuariosToolStripMenuItem.Text = "Usuarios";
            this.usuariosToolStripMenuItem.Click += new System.EventHandler(this.usuariosToolStripMenuItem_Click);
            // 
            // salirToolStripMenuItem
            // 
            this.salirToolStripMenuItem.Name = "salirToolStripMenuItem";
            this.salirToolStripMenuItem.Size = new System.Drawing.Size(177, 22);
            this.salirToolStripMenuItem.Text = "Salir";
            this.salirToolStripMenuItem.Click += new System.EventHandler(this.salirToolStripMenuItem_Click);
            // 
            // temporizador
            // 
            this.temporizador.Enabled = true;
            this.temporizador.Interval = 300000;
            this.temporizador.Tick += new System.EventHandler(this.IntervaloExcedido);
            // 
            // cambiarDeUsuarioToolStripMenuItem
            // 
            this.cambiarDeUsuarioToolStripMenuItem.Name = "cambiarDeUsuarioToolStripMenuItem";
            this.cambiarDeUsuarioToolStripMenuItem.Size = new System.Drawing.Size(177, 22);
            this.cambiarDeUsuarioToolStripMenuItem.Text = "Cambiar de usuario";
            this.cambiarDeUsuarioToolStripMenuItem.Click += new System.EventHandler(this.cambiarDeUsuarioToolStripMenuItem_Click);
            // 
            // FormPedirContraseña
            // 
            this.AcceptButton = this.aceptar;
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.CancelButton = this.salir;
            this.ClientSize = new System.Drawing.Size(431, 200);
            this.ControlBox = false;
            this.Controls.Add(this.barraProgreso);
            this.Controls.Add(this.lUsuario);
            this.Controls.Add(this.tbUsuario);
            this.Controls.Add(this.salir);
            this.Controls.Add(this.aceptar);
            this.Controls.Add(this.tbFrase);
            this.Controls.Add(this.lFrase);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
            this.Name = "FormPedirContraseña";
            this.ShowInTaskbar = false;
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.TopMost = true;
            ((System.ComponentModel.ISupportInitialize)(this.watcherEntrada)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.watcherSalida)).EndInit();
            this.contextMenuStrip.ResumeLayout(false);
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion

        private System.Windows.Forms.Label lFrase;
        private System.Windows.Forms.TextBox tbFrase;
        private System.Windows.Forms.Button aceptar;
        private System.Windows.Forms.Button salir;
        private System.Windows.Forms.TextBox tbUsuario;
        private System.Windows.Forms.Label lUsuario;
        private System.Windows.Forms.ProgressBar barraProgreso;
        private System.IO.FileSystemWatcher watcherEntrada;
        private System.IO.FileSystemWatcher watcherSalida;
        private System.Windows.Forms.ContextMenuStrip contextMenuStrip;
        private System.Windows.Forms.ToolStripMenuItem salirToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem usuariosToolStripMenuItem;
        private System.Windows.Forms.ToolStripMenuItem acercaDeToolStripMenuItem;
        private System.Windows.Forms.NotifyIcon notifyIcon;
        private System.Windows.Forms.Timer temporizador;
        private System.Windows.Forms.ToolStripMenuItem cambiarDeUsuarioToolStripMenuItem;
    }
}

